SoapClient::__setLocation
SoapClient::__soapCall
SoapClient
PHP Manual

# SoapClient::__setSoapHeaders

(PHP 5 >= 5.0.5)

SoapClient::__setSoapHeaders — Sets SOAP headers for subsequent calls

### Description

public bool SoapClient::__setSoapHeaders ([ mixed `$soapheaders` ] )

Defines headers to be sent along with the SOAP requests.

> Note:

> Calling this method will replace any previous values.

### Parameters

`soapheaders`

  The headers to be set. It could be SoapHeader object or array of SoapHeader objects. If not specified or set to `NULL`, the headers will be deleted.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 SoapClient::__setSoapHeaders() example

`<?php
$client = new SoapClient(null, array('location' => "http://localhost/soap.php",
'uri' => "http://test-uri/"));
$header = new SoapHeader('http://soapinterop.org/echoheader/',
'echoMeStringRequest',
'hello world');
$client->__setSoapHeaders($header);
$client->__soapCall("echoVoid", null);
?>`

Example #2 Set Multiple Headers

`<?php
$client = new SoapClient(null, array('location' => "http://localhost/soap.php",
'uri' => "http://test-uri/"));
$headers = array();
$headers[] = new SoapHeader('http://soapinterop.org/echoheader/',
'echoMeStringRequest',
'hello world');
$headers[] = new SoapHeader('http://soapinterop.org/echoheader/',
'echoMeStringRequest',
'hello world again');
$client->__setSoapHeaders($headers);
$client->__soapCall("echoVoid", null);
?>`

SoapClient::__setLocation
SoapClient::__soapCall
SoapClient
PHP Manual